Welcome to the CrackBerry Forums Create Your Account or Ask a Question Answers in 5 minutes - no registration required!
Page 5 of 5 FirstFirst ... 2345
Results 101 to 109 of 109
Like Tree16Likes
  1. SifJar's Avatar
    CrackBerry Master

    Posts
    1,372 Posts
    Global Posts
    1,373 Global Posts
    #101  

    Default

    Quote Originally Posted by jeroen_13 View Post
    hey xsasha, im trying to get the 'Cookbook' sample running, but when it installs it gives me the 821 error; Device not BB10

    i tried changing the platformVersion to 2.1.0.1314 but i still get the same error.
    the helloworld sample you posted works fine

    edit; i tried to package the app in QNX Momentics IDE
    Are you using the BB10 NDK or the PB NDK? I think you need to use the PB one to be able to install on PB. And I believe with the PB NDK you need to do a bunch of extra steps to get Cascades working properly.
    UberCurrency - Free currency conversion app for PlayBook.
  2. jeroen_13's Avatar
    CrackBerry Genius

    Posts
    1,760 Posts
    PIN
    Just PM
    #102  

    Default

    Quote Originally Posted by SifJar View Post
    Are you using the BB10 NDK or the PB NDK? I think you need to use the PB one to be able to install on PB. And I believe with the PB NDK you need to do a bunch of extra steps to get Cascades working properly.
    I'm using the BB10 NDK
    Havent tried to package it with the PB NDK. Have to download it first though
    ❤ button

    ✪✪✪ Playbook + BB10 DEV , APPS ON REQUEST PLEASE PM ME. ✔✔✔[PB]Crackberry Forum App (NON-ANDROID) ✪✪✪
    ☢ bbUI.js ☢ expert -- Need HELP ? Just PM me ! ☣ Blackberry Playbook 64GB ☣
  3. SifJar's Avatar
    CrackBerry Master

    Posts
    1,372 Posts
    Global Posts
    1,373 Global Posts
    #103  

    Default

    Quote Originally Posted by jeroen_13 View Post
    I'm using the BB10 NDK
    Havent tried to package it with the PB NDK. Have to download it first though
    Maybe this could help: /dev/alopix: HowTo: Use BlackBerry 10 Cascades UI framework on PlayBook ? (It seems to suggest you should indeed be using the BB10 NDK from my brief read, so you may want to hold off downloading the PB NDK for the moment...)
    UberCurrency - Free currency conversion app for PlayBook.
  4. jeroen_13's Avatar
    CrackBerry Genius

    Posts
    1,760 Posts
    PIN
    Just PM
    #104  

    Default

    Quote Originally Posted by SifJar View Post
    Maybe this could help: /dev/alopix: HowTo: Use BlackBerry 10 Cascades UI framework on PlayBook ? (It seems to suggest you should indeed be using the BB10 NDK from my brief read, so you may want to hold off downloading the PB NDK for the moment...)

    i used that site to 'port' cascades to the playbook. cant get it working... just installed PB NDK, that might do the trick
    ❤ button

    ✪✪✪ Playbook + BB10 DEV , APPS ON REQUEST PLEASE PM ME. ✔✔✔[PB]Crackberry Forum App (NON-ANDROID) ✪✪✪
    ☢ bbUI.js ☢ expert -- Need HELP ? Just PM me ! ☣ Blackberry Playbook 64GB ☣
  5. SifJar's Avatar
    CrackBerry Master

    Posts
    1,372 Posts
    Global Posts
    1,373 Global Posts
    #105  

    Default

    Quote Originally Posted by jeroen_13 View Post
    i used that site to 'port' cascades to the playbook. cant get it working... just installed PB NDK, that might do the trick
    Hmm, yes. I have just been trying to follow that site myself, and I have hit a flaw; it says to change the platformVersion to 2.0.0.7917 "or whatever the rich editor in the IDE will allow you to select" - but the IDE only lets me select "Current SDK Target" or 10.x.x.x. (I do have the PB NDK installed as well).

    (If you get it working, be sure to post how you did so, I'd like to get it working too )
    UberCurrency - Free currency conversion app for PlayBook.
  6. jeroen_13's Avatar
    CrackBerry Genius

    Posts
    1,760 Posts
    PIN
    Just PM
    #106  

    Default

    Quote Originally Posted by SifJar View Post
    Hmm, yes. I have just been trying to follow that site myself, and I have hit a flaw; it says to change the platformVersion to 2.0.0.7917 "or whatever the rich editor in the IDE will allow you to select" - but the IDE only lets me select "Current SDK Target" or 10.x.x.x. (I do have the PB NDK installed as well).
    i got this so far; select as current SDK target; 10.0.9.xxx , close the .xml file, right click on the xml file, select; open in Text Viewer (while you're in QNX Momentics IDE)
    now you'll see: <platformVersion>10.0.9.xxx</platformVersion>

    i tried to change that to 2.1.0.1314 , and 2.0.0.2797. none of that worked for me. still received the 821 install error; device not BB10



    edit; GOT IT ! install the PB NDK, after install just open up the Playbook NDK, Close it and re-open the BB10 NDK. you now can select 'Blackberry OS 2.1.0'. i'll try to make some samples working

    re-edit; now QNX Momentics IDE only show the 2.1.0 SDK ; cant package Cascades apps anymore...

    edit; re-installed BB10 NDK, i'm back where i started... someone please help
    Last edited by jeroen_13; 02-08-2013 at 05:00 PM.
    ❤ button

    ✪✪✪ Playbook + BB10 DEV , APPS ON REQUEST PLEASE PM ME. ✔✔✔[PB]Crackberry Forum App (NON-ANDROID) ✪✪✪
    ☢ bbUI.js ☢ expert -- Need HELP ? Just PM me ! ☣ Blackberry Playbook 64GB ☣
  7. pttptppt's Avatar
    CrackBerry Genius

    Posts
    4,677 Posts
    Global Posts
    4,682 Global Posts
    #107  

    Default

    can you make the compass and calender sample work please
  8. jeroen_13's Avatar
    CrackBerry Genius

    Posts
    1,760 Posts
    PIN
    Just PM
    #108  

    Default

    when i try to build the app i receive an error message with; SDK and device OS mismatch.

    after install i'll get this message:

    Code:
    Deployment Failed: Info: Sending request: Install and Launch
    Info: Action: Install and Launch
    Info: Debug native: on
    Info: File size: 289697
    Info: Installing com.example.myapp.testDev_ample_myappdf96c9c4...
    Info: Processing 289697 bytes
    actual_dname::
    actual_id::
    actual_version::
    result::failure 821 Application-Requires-System: unrecognized system name 'BlackBerry 10'
  9. blueberrymerry's Avatar
    CrackBerry Addict

    Posts
    674 Posts
    Global Posts
    676 Global Posts
    #109  

    Default

    I can get Qt 4.8.3 compiled and Qt/QML apps all work well on PBOS 2.1.0.1526. I can also get Symbian components running but a lot of modding is needed. Does Cascades use a combo of a compiled library and QML files to define the components?

    Right now I'm using Qt Creator 2.4 for UI design, C++ coding and testing on the Symbian and Meego simulators. The Playbook app is then packaged and deployed by hand. I would like to try using Qt Creator 2.7 with the Z10 BB10 SDK for a similar workflow for developing and testing Cascades on PB... deployment will be done by hand.
Page 5 of 5 FirstFirst ... 2345

Posting Permissions